package info.bukova.isspst.services.approved;

import java.math.BigDecimal;
import java.util.List;

import info.bukova.isspst.data.JoinedItem;
import info.bukova.isspst.data.Order;
import info.bukova.isspst.data.Workgroup;
import info.bukova.isspst.services.Service;

public interface OrderService extends Service<Order> {
	
	public Order createOrder(List<JoinedItem> items);
	public BigDecimal totalOrderedForWorkgroup(Workgroup workgroup);

}
